Subject: Re: [I2nsf] Someone please say something! [Was: Working group last call on draft-ietf-i2nsf-framework]

From: John Strassner <[email-masked]>
Date: Mon, 3 Jul 2017 14:20:57 -0700

Sorry, I forgot to mention that I did look at the attached PDF, but
couldn't make sense out of it. I assume you wanted to delete text that was
crossed out, but in every case (at least for the first 50 times), that text
made the sentence grammatically incorrect. So, I just responded to the
comments.

In the future, please send Word tracked revision documents.

regards,
John

On Fri, Jun 30, 2017 at 8:28 PM, Mr. Jaehoon Paul Jeong <
[email-masked]> wrote:

> Hi John,
> Here are the comments from my SKKU group and me along with the attached
> PDF with detailed comments.
> I think this document is ready to be under WGLC with my updates.
>
> The following terms need to be unified in the whole text.
> OLD: I2NSF Controller (or controller)
> NEW: Security Controller
>
> OLD: Customer-Facing Interface
> NEW: Consumer-Facing Interface
>
> The following phrase in Section 6.1 is not clear:
> ... as described in [I-D.pastor-i2nsf-nsf-remote-attestation],
> with the only possible exception of the application of the lowest
> levels of assurance, in which case the user MUST be made aware of
> this circumstance.
>
> What are the lowest levels of assurance?
>
> In Section 7.1, the following example of ECA policy needs to be corrected
> by swapping the phrases of Event and Condition because User belongs to
> Event
> and Traffic type belongs to Condition in ECA paradigm:
> OLD:
> An Event can be "traffic of type X detected"
> A Condition can be a "user identifier is Z" and/or "traffic from
> domain-A to domain-B"
>
> NEW:
> An Event can be a "user identifier is Z"
> A Condition can be "traffic of type X detected" and/or "traffic from
> domain-A to domain-B"
>
> In Section 9.1, attack mitigation needs to be added as follows:
> o An attack mitigator detects DDoS attacks (e.g., DNS reflection
> attack and TCP SYNC flood) and Single-packet attacks (e.g.,
> IP sweep, port scanning, ping of death, and oversized ICMP).
>
> Some acronyms need to be expanded:
> OLD: SYSLOG
> NEW: Security Issues in Network Event Logging (SYSLOG)
>
> OLD: DOTS
> NEW: DDoS Open Threat Signaling (DOTS)
>
> OLD: IDR
> NEW: Inter-Domain Routing (IDR)
>
> OLD: PCP
> NEW: Port Control Protocol (PCP)
>
> OLD: TRAM
> NEW: TURN Revised and Modernized (TRAM)
>
> Thanks.
>
> Best Regards,
> Paul
>
> On Sat, Jun 24, 2017 at 2:58 PM, John Strassner <
> [email-masked]> wrote:
>
>> I will start my edits on Monday. I'll take all reviews into account, and
>> go through the I-D in detail.
>>
>> Best,
>> John
>>
>> -----Original Message-----
>> From: I2nsf [mailto:[email-masked]] On Behalf Of Adrian Farrel
>> Sent: Friday, June 23, 2017 1:09 AM
>> To: [email-masked]
>> Subject: [I2nsf] Someone please say something! [Was: Working group last
>> call on draft-ietf-i2nsf-framework]
>>
>> I know a few of you commented before the start of this last call, but
>> reviews from the rest would be really welcome.
>>
>> Thanks,
>> Adrian
>>
>> > -----Original Message-----
>> > From: I2nsf [mailto:[email-masked]] On Behalf Of Adrian Farrel
>> > Sent: 16 June 2017 01:23
>> > To: [email-masked]
>> > Subject: [I2nsf] Working group last call on draft-ietf-i2nsf-framework
>> >
>> > All,
>> >
>> > This is to start a two week working group last call on
>> > draft-ietf-i2nsf-framework-05
>> >
>> > Please send your comments of support, your reviews, and your concerns
>> > to this list by close of business on June 29th.
>> >
>> > Note that when I called for reviews at the end of last month, we
>> > received feedback from Med, Christian, and Frank. The authors should
>> > consider those as WG last call comments : the comments don't need to
>> > be resubmitted and do need to be addressed.
>> >
>> > John and Bob also said they had reviews in the pipe, and we would
>> > surely welcome those.
>> >
>> > My own review will follow this email.
>> >
>> > Thanks,
>> > Adrian
>> >
>> > _______________________________________________
>> > I2nsf mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/i2nsf
>>
>> _______________________________________________
>> I2nsf mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/i2nsf
>>
>> _______________________________________________
>> I2nsf mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/i2nsf
>>
>
>
>
> --
> ===========================
> Mr. Jaehoon (Paul) Jeong, Ph.D.
> Assistant Professor
> Department of Software
> Sungkyunkwan University
> Office: +82-31-299-4957 <+82%2031-299-4957>
> Email: [email-masked], [email-masked]
> Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
> <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>
> _______________________________________________
> I2nsf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2nsf
>
>

-- 
regards,
John